## obs-studio 22.0.3

=== deps/blake2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

project(blake2)

set(BLAKE2_INCLUDE_DIR
	"${CMAKE_CURRENT_SOURCE_DIR}/src"
		CACHE PATH "blake2 include path")

include_directories(
	${LIBblake2_INCLUDE_DIRS}
	src
)

if(WIN32)
	if(MSVC)
		add_compile_options("$<$<CONFIG:RelWithDebInfo>:/MT>")
	endif()
	add_definitions(
		-Dinline=_inline
		-Drestrict=__restrict)
endif()

set(blake2_SOURCES
	src/blake2b-ref.c)

set(blake2_HEADERS
	src/blake2.h
	src/blake2-impl.h)

add_library(blake2 STATIC
	${blake2_SOURCES}
	${blake2_HEADERS})

=== deps/jansson/CMakeLists.txt ===
# Notes:
#
# Author: Paul Harris, June 2012
# Additions: Joakim Soderberg, Febuary 2013
#
# Supports: building static/shared, release/debug/etc, can also build html docs
# and some of the tests.
# Note that its designed for out-of-tree builds, so it will not pollute your
# source tree.
#
# TODO 1: Finish implementing tests. api tests are working, but the valgrind
# variants are not flagging problems.
#
# TODO 2: There is a check_exports script that would try and incorporate.
#
# TODO 3: Consolidate version numbers, currently the version number is written
# into: * cmake (here) * autotools (the configure) * source code header files.
# Should not be written directly into header files, autotools/cmake can do
# that job.
#
# Brief intro on how to use cmake:
# > mkdir build (somewhere - we do out-of-tree builds)
# > use cmake, ccmake, or cmake-gui to configure the project. for linux, you
# can only choose one variant: release,debug,etc... and static or shared.
# >> example:
# >> cd build
# >> ccmake -i ../path_to_jansson_dir
# >>  inside, configure your options. press C until there are no lines
#     with * next to them.
# >>  note, I like to configure the 'install' path to ../install, so I get
#     self-contained clean installs I can point other projects to.
# >>  press G to 'generate' the project files.
# >> make (to build the project)
# >> make install
# >> make test (to run the tests, if you enabled them)
#
# Brief description on how it works:
# There is a small heirachy of CMakeLists.txt files which define how the
# project is built.
# Header file detection etc is done, and the results are written into config.h
# and jansson_config.h, which are generated from the corresponding
# config.h.cmake and jansson_config.h.cmake template files.
# The generated header files end up in the build directory - not in
# the source directory.
# The rest is down to the usual make process.



cmake_minimum_required (VERSION 2.8)
# required for exports? cmake_minimum_required (VERSION 2.8.6)
project (jansson C)

# Options
option(JANSSON_BUILD_SHARED_LIBS "Build shared libraries." OFF)
option(USE_URANDOM "Use /dev/urandom to seed the hash function." ON)
option(USE_WINDOWS_CRYPTOAPI "Use CryptGenRandom to seed the hash function." ON)

if (MSVC)
   # This option must match the settings used in your program, in particular if you
	# are linking statically
	option(JANSSON_STATIC_CRT "Link the static CRT libraries" ON )
endif ()

# Disabled by OBS
option(JANSSON_EXAMPLES "Compile example applications" OFF)

if (UNIX)
   option(JANSSON_COVERAGE "(GCC Only! Requires gcov/lcov to be installed). Include target for doing coverage analysis for the test suite. Note that -DCMAKE_BUILD_TYPE=Debug must be set" OFF)
   option(JANSSON_COVERALLS "Generate coverage info for Coveralls" OFF)
   option(JANSSON_COVERALLS_UPLOAD "Upload coverage info to Coveralls (Only works via Travis)" ON)
endif ()

# Set some nicer output dirs.
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
set(JANSSON_TEMP_DIR ${PROJECT_BINARY_DIR}/tmp)

# Give the debug version a different postfix for windows,
# so both the debug and release version can be built in the
# same build-tree on Windows (MSVC).
if (WIN32)
   set(CMAKE_DEBUG_POSTFIX "_d")
endif (WIN32)

# This is how I thought it should go
# set (JANSSON_VERSION "2.3.1")
# set (JANSSON_SOVERSION 2)

set(JANSSON_DISPLAY_VERSION "2.9")

# This is what is required to match the same numbers as automake's
set(JANSSON_VERSION "4.9.0")
set(JANSSON_SOVERSION 4)

# for CheckFunctionKeywords
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include (CheckCSourceCompiles)
include (CheckFunctionExists)
include (CheckFunctionKeywords)
include (CheckIncludeFiles)
include (CheckTypeSize)

if (MSVC)
   # Turn off Microsofts "security" warnings.
   add_definitions( "/W3 /D_CRT_SECURE_NO_WARNINGS /wd4005 /wd4996 /nologo" )

   # Disabled by OBS, options already set by top level CMakeLists
   if (FALSE)
      if (JANSSON_STATIC_CRT)
         set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /MT")
         set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /MTd")
      endif()
   endif()

endif()

if (NOT WIN32 AND NOT APPLE)
   add_definitions("-fPIC")
endif()

message("C compiler: ${CMAKE_C_COMPILER_ID}")

# Coverage only works with GCC for a debug build.
if (JANSSON_COVERALLS)
   set(JANSSON_COVERAGE ON)
endif()

if (JANSSON_COVERAGE)
   include(CodeCoverage)
   include(Coveralls)

   # This adds coverage arguments to gcc/clang.
   coveralls_turn_on_coverage()
endif()

check_include_files (endian.h HAVE_ENDIAN_H)
check_include_files (fcntl.h HAVE_FCNTL_H)
check_include_files (sched.h HAVE_SCHED_H)
check_include_files (unistd.h HAVE_UNISTD_H)
check_include_files (sys/param.h HAVE_SYS_PARAM_H)
check_include_files (sys/stat.h HAVE_SYS_STAT_H)
check_include_files (sys/time.h HAVE_SYS_TIME_H)
check_include_files (sys/time.h HAVE_SYS_TYPES_H)

check_function_exists (close HAVE_CLOSE)
check_function_exists (getpid HAVE_GETPID)
check_function_exists (gettimeofday HAVE_GETTIMEOFDAY)
check_function_exists (open HAVE_OPEN)
check_function_exists (read HAVE_READ)
check_function_exists (sched_yield HAVE_SCHED_YIELD)

# Check for the int-type includes
check_include_files (stdint.h HAVE_STDINT_H)

# Check our 64 bit integer sizes
check_type_size (__int64 __INT64)
check_type_size (int64_t INT64_T)
check_type_size ("long long" LONG_LONG_INT)

# Check our 32 bit integer sizes
check_type_size (int32_t INT32_T)
check_type_size (__int32 __INT32)
check_type_size ("long" LONG_INT)
check_type_size ("int" INT)
if (HAVE_INT32_T)
   set (JSON_INT32 int32_t)
elseif (HAVE___INT32)
   set (JSON_INT32 __int32)
elseif (HAVE_LONG_INT AND (${LONG_INT} EQUAL 4))
   set (JSON_INT32 long)
elseif (HAVE_INT AND (${INT} EQUAL 4))
   set (JSON_INT32 int)
else ()
   message (FATAL_ERROR "Could not detect a valid 32-bit integer type")
endif ()

check_type_size ("unsigned long" UNSIGNED_LONG_INT)
check_type_size ("unsigned int" UNSIGNED_INT)
check_type_size ("unsigned short" UNSIGNED_SHORT)

check_type_size (uint32_t UINT32_T)
check_type_size (__uint32 __UINT32)
if (HAVE_UINT32_T)
   set (JSON_UINT32 uint32_t)
elseif (HAVE___UINT32)
   set (JSON_UINT32 __uint32)
elseif (HAVE_UNSIGNED_LONG_INT AND (${UNSIGNED_LONG_INT} EQUAL 4))
   set (JSON_UINT32 "unsigned long")
elseif (HAVE_UNSIGNED_INT AND (${UNSIGNED_INT} EQUAL 4))
   set (JSON_UINT32 "unsigned int")
else ()
   message (FATAL_ERROR "Could not detect a valid unsigned 32-bit integer type")
endif ()

check_type_size (uint16_t UINT16_T)
check_type_size (__uint16 __UINT16)
if (HAVE_UINT16_T)
   set (JSON_UINT16 uint16_t)
elseif (HAVE___UINT16)
   set (JSON_UINT16 __uint16)
elseif (HAVE_UNSIGNED_INT AND (${UNSIGNED_INT} EQUAL 2))
   set (JSON_UINT16 "unsigned int")
elseif (HAVE_UNSIGNED_SHORT AND (${UNSIGNED_SHORT} EQUAL 2))
   set (JSON_UINT16 "unsigned short")
else ()
   message (FATAL_ERROR "Could not detect a valid unsigned 16-bit integer type")
endif ()

check_type_size (uint8_t UINT8_T)
check_type_size (__uint8 __UINT8)
if (HAVE_UINT8_T)
   set (JSON_UINT8 uint8_t)
elseif (HAVE___UINT8)
   set (JSON_UINT8 __uint8)
else ()
   set (JSON_UINT8 "unsigned char")
endif ()

# Check for ssize_t and SSIZE_T existance.
check_type_size(ssize_t SSIZE_T)
check_type_size(SSIZE_T UPPERCASE_SSIZE_T)
if(NOT HAVE_SSIZE_T)
   if(HAVE_UPPERCASE_SSIZE_T)
      set(JSON_SSIZE SSIZE_T)
   else()
      set(JSON_SSIZE int)
   endif()
endif()
set(CMAKE_EXTRA_INCLUDE_FILES "")

# Check for all the variants of strtoll
check_function_exists (strtoll HAVE_STRTOLL)
check_function_exists (strtoq HAVE_STRTOQ)
check_function_exists (_strtoi64 HAVE__STRTOI64)

# Figure out what variant we should use
if (HAVE_STRTOLL)
   set (JSON_STRTOINT strtoll)
elseif (HAVE_STRTOQ)
   set (JSON_STRTOINT strtoq)
elseif (HAVE__STRTOI64)
   set (JSON_STRTOINT _strtoi64)
else ()
   # fallback to strtol (32 bit)
   # this will set all the required variables
   set (JSON_STRTOINT strtol)
   set (JSON_INT_T long)
   set (JSON_INTEGER_FORMAT "\"ld\"")
endif ()

# if we haven't defined JSON_INT_T, then we have a 64 bit conversion function.
# detect what to use for the 64 bit type.
# Note: I will prefer long long if I can get it, as that is what the automake system aimed for.
if (NOT DEFINED JSON_INT_T)
   if (HAVE_LONG_LONG_INT AND ((${LONG_LONG_INT}) EQUAL 8))
      set (JSON_INT_T "long long")
   elseif (HAVE_INT64_T)
      set (JSON_INT_T int64_t)
   elseif (HAVE___INT64)
      set (JSON_INT_T __int64)
   else ()
      message (FATAL_ERROR "Could not detect 64 bit type, although I detected the strtoll equivalent")
   endif ()

   # Apparently, Borland BCC and MSVC wants I64d,
   # Borland BCC could also accept LD
   # and gcc wants ldd,
   # I am not sure what cygwin will want, so I will assume I64d

   if (WIN32) # matches both msvc and cygwin
      set (JSON_INTEGER_FORMAT "\"I64d\"")
   else ()
      set (JSON_INTEGER_FORMAT "\"lld\"")
   endif ()
endif ()


# If locale.h and localeconv() are available, define to 1, otherwise to 0.
check_include_files (locale.h HAVE_LOCALE_H)
check_function_exists (localeconv HAVE_LOCALECONV)

if (HAVE_LOCALECONV AND HAVE_LOCALE_H)
   set (JSON_HAVE_LOCALECONV 1)
else ()
   set (JSON_HAVE_LOCALECONV 0)
endif()

# check if we have setlocale
check_function_exists(setlocale HAVE_SETLOCALE)

# Check what the inline keyword is.
# Note that the original JSON_INLINE was always set to just 'inline', so this goes further.
check_function_keywords("inline")
check_function_keywords("__inline")
check_function_keywords("__inline__")

if (HAVE_INLINE)
   set(JSON_INLINE inline)
elseif (HAVE___INLINE)
   set(JSON_INLINE __inline)
elseif (HAVE___INLINE__)
   set(JSON_INLINE __inline__)
else()
   # no inline on this platform
   set (JSON_INLINE)
endif()

check_c_source_compiles ("int main() { unsigned long val; __sync_bool_compare_and_swap(&val, 0, 1); return 0; } " HAVE_SYNC_BUILTINS)
check_c_source_compiles ("int main() { char l; unsigned long v; __atomic_test_and_set(&l, __ATOMIC_RELAXED); __atomic_store_n(&v, 1, __ATOMIC_RELEASE); __atomic_load_n(&v, __ATOMIC_ACQUIRE); return 0; }" HAVE_ATOMIC_BUILTINS)

set (JANSSON_INITIAL_HASHTABLE_ORDER 3 CACHE STRING "Number of buckets new object hashtables contain is 2 raised to this power. The default is 3, so empty hashtables contain 2^3 = 8 buckets.")

# configure the public config file
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake/jansson_config.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/include/jansson_config.h)

# Copy the jansson.h file to the public include folder
file (COPY ${CMAKE_CURRENT_SOURCE_DIR}/src/jansson.h
           DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/include/)

add_definitions(-DJANSSON_USING_CMAKE)

# configure the private config file
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake/jansson_private_config.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/private_include/jansson_private_config.h)

# and tell the source code to include it
add_definitions(-DHAVE_CONFIG_H)

include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/private_include)

# Add the lib sources.
file(GLOB JANSSON_SRC src/*.c)

set(JANSSON_HDR_PRIVATE
   ${CMAKE_CURRENT_SOURCE_DIR}/src/hashtable.h
   ${CMAKE_CURRENT_SOURCE_DIR}/src/jansson_private.h
   ${CMAKE_CURRENT_SOURCE_DIR}/src/strbuffer.h
   ${CMAKE_CURRENT_SOURCE_DIR}/src/utf.h
   ${CMAKE_CURRENT_BINARY_DIR}/private_include/jansson_private_config.h)

set(JANSSON_HDR_PUBLIC 
   ${CMAKE_CURRENT_BINARY_DIR}/include/jansson_config.h
   ${CMAKE_CURRENT_SOURCE_DIR}/src/jansson.h)

source_group("Library Sources" FILES ${JANSSON_SRC})
source_group("Library Private Headers" FILES ${JANSSON_HDR_PRIVATE})
source_group("Library Public Headers" FILES ${JANSSON_HDR_PUBLIC})

if(JANSSON_BUILD_SHARED_LIBS)

=== deps/lzma/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

project(lzma)

set(LIBLZMA_INCLUDE_DIRS 
	"${CMAKE_CURRENT_SOURCE_DIR}"
	"${CMAKE_CURRENT_SOURCE_DIR}/liblzma/api" 
		CACHE PATH "lzma include path")

set(LIBLZMA_CONFIG
	"${CMAKE_CURRENT_SOURCE_DIR}/config.h"
		CACHE PATH "lzma config.h path")

include_directories(
	${LIBLZMA_INCLUDE_DIRS}
	common
	liblzma/api
	liblzma/check
	liblzma/common
	liblzma/delta
	liblzma/lz
	liblzma/lzma
	liblzma/rangecoder
	liblzma/simple
)

add_definitions(
	-DHAVE_CONFIG_H
	-DTUKLIB_SYMBOL_PREFIX=lzma_)

if(WIN32)
	if(MSVC)
		add_compile_options("$<$<CONFIG:RelWithDebInfo>:/MT>")
		add_compile_options("/wd4244")
		add_compile_options("/wd4267")
	endif()
	add_definitions(
		-Dinline=_inline
		-Drestrict=__restrict)
endif()

set(liblzma_check_SOURCES
	liblzma/check/check.c)

list(APPEND liblzma_check_SOURCES
	liblzma/check/crc32_table.c
	liblzma/check/crc32_fast.c
	liblzma/check/crc64_table.c
	liblzma/check/crc64_fast.c
	liblzma/check/sha256.c)

set(liblzma_common_SOURCES
	liblzma/common/common.c
	liblzma/common/block_util.c
	liblzma/common/easy_preset.c
	liblzma/common/filter_common.c
	liblzma/common/hardware_physmem.c
	liblzma/common/index.c
	liblzma/common/stream_flags_common.c
	liblzma/common/vli_size.c
	liblzma/common/alone_encoder.c
	liblzma/common/block_buffer_encoder.c
	liblzma/common/block_encoder.c
	liblzma/common/block_header_encoder.c
	liblzma/common/easy_buffer_encoder.c
	liblzma/common/easy_encoder.c
	liblzma/common/easy_encoder_memusage.c
	liblzma/common/filter_buffer_encoder.c
	liblzma/common/filter_encoder.c
	liblzma/common/filter_flags_encoder.c
	liblzma/common/index_encoder.c
	liblzma/common/stream_buffer_encoder.c
	liblzma/common/stream_encoder.c
	liblzma/common/stream_flags_encoder.c
	liblzma/common/vli_encoder.c
	liblzma/common/alone_decoder.c
	liblzma/common/auto_decoder.c
	liblzma/common/block_buffer_decoder.c
	liblzma/common/block_decoder.c
	liblzma/common/block_header_decoder.c
	liblzma/common/easy_decoder_memusage.c
	liblzma/common/filter_buffer_decoder.c
	liblzma/common/filter_decoder.c
	liblzma/common/filter_flags_decoder.c
	liblzma/common/index_decoder.c
	liblzma/common/index_hash.c
	liblzma/common/stream_buffer_decoder.c
	liblzma/common/stream_decoder.c
	liblzma/common/stream_flags_decoder.c
	liblzma/common/vli_decoder.c)

set(liblzma_delta_SOURCES
	liblzma/delta/delta_common.c
	liblzma/delta/delta_encoder.c
	liblzma/delta/delta_decoder.c)

set(liblzma_lzma_SOURCES
	liblzma/lzma/lzma_encoder.c
	liblzma/lzma/lzma_encoder_presets.c
	liblzma/lzma/lzma_encoder_optimum_fast.c
	liblzma/lzma/lzma_encoder_optimum_normal.c
	liblzma/lzma/fastpos_table.c
	liblzma/lzma/lzma_decoder.c

	liblzma/lzma/lzma2_encoder.c
	liblzma/lzma/lzma2_decoder.c)

set(liblzma_lz_SOURCES
	liblzma/lz/lz_encoder.c
	liblzma/lz/lz_encoder_mf.c
	liblzma/lz/lz_decoder.c)

set(liblzma_rangecoder_SOURCES
	liblzma/rangecoder/price_table.c)

set(liblzma_simple_SOURCES
	liblzma/simple/simple_coder.c
	liblzma/simple/simple_encoder.c
	liblzma/simple/simple_decoder.c
	
	liblzma/simple/arm.c
	liblzma/simple/armthumb.c
	liblzma/simple/ia64.c
	liblzma/simple/powerpc.c
	liblzma/simple/sparc.c
	liblzma/simple/x86.c)

if (WIN32)
	SET_SOURCE_FILES_PROPERTIES(
		${liblzma_check_SOURCES}
		${liblzma_common_SOURCES}
		${liblzma_delta_SOURCES}
		${liblzma_lz_SOURCES}
		${liblzma_lzma_SOURCES}
		${liblzma_rangecoder_SOURCES}
		${liblzma_simple_SOURCES}
			PROPERTIES LANGUAGE C)
endif()

add_library(lzma STATIC
	${liblzma_check_SOURCES}
	${liblzma_common_SOURCES}
	${liblzma_delta_SOURCES}
	${liblzma_lz_SOURCES}
	${liblzma_lzma_SOURCES}
	${liblzma_rangecoder_SOURCES}
	${liblzma_simple_SOURCES})

=== plugins/obs-qsv11/CMakeLists.txt ===
project(obs-qsv11)

include_directories(libmfx/include/msdk/include)
include_directories(libmfx/include)

set(obs-qsv11_libmfx_SOURCES
	libmfx/src/main.cpp
	libmfx/src/mfx_critical_section.cpp
	libmfx/src/mfx_dispatcher.cpp
	libmfx/src/mfx_dispatcher_log.cpp
	libmfx/src/mfx_dxva2_device.cpp
	libmfx/src/mfx_function_table.cpp
	libmfx/src/mfx_library_iterator.cpp
	libmfx/src/mfx_load_dll.cpp
	libmfx/src/mfx_load_plugin.cpp
	libmfx/src/mfx_plugin_hive.cpp
	libmfx/src/mfx_win_reg_key.cpp
	)

set(obs-qsv11_libmfx_HEADERS
	libmfx/include/msdk/include/mfxastructures.h
	libmfx/include/msdk/include/mfxaudio.h
	libmfx/include/msdk/include/mfxaudio++.h
	libmfx/include/msdk/include/mfxcommon.h
	libmfx/include/msdk/include/mfxdefs.h
	libmfx/include/msdk/include/mfxjpeg.h
	libmfx/include/msdk/include/mfxmvc.h
	libmfx/include/msdk/include/mfxplugin.h
	libmfx/include/msdk/include/mfxplugin++.h
	libmfx/include/msdk/include/mfxsession.h
	libmfx/include/msdk/include/mfxstructures.h
	libmfx/include/msdk/include/mfxvideo.h
	libmfx/include/msdk/include/mfxvideo++.h
	libmfx/include/msdk/include/mfxvstructures.h
	libmfx/include/mfx_critical_section.h
	libmfx/include/mfx_dispatcher.h
	libmfx/include/mfx_dispatcher_defs.h
	libmfx/include/mfx_dispatcher_log.h
	libmfx/include/mfx_dxva2_device.h
	libmfx/include/mfx_exposed_functions_list.h
	libmfx/include/mfx_library_iterator.h
	libmfx/include/mfx_load_dll.h
	libmfx/include/mfx_load_plugin.h
	libmfx/include/mfx_plugin_hive.h
	libmfx/include/mfx_vector.h
	libmfx/include/mfx_win_reg_key.h
	libmfx/include/mfxaudio_exposed_functions_list.h
	)

set(obs-qsv11_SOURCES
	common_directx9.cpp
	common_directx11.cpp
	common_utils.cpp
	common_utils_windows.cpp
	device_directx9.cpp
	QSV_Encoder.cpp
	QSV_Encoder_Internal.cpp
	obs-qsv11.c
	obs-qsv11-plugin-main.c)

set(obs-qsv11_HEADERS
	bits/linux_defs.h
	bits/windows_defs.h
	common_directx9.h
	common_directx11.h
	device_directx9.h
	common_utils.h
	QSV_Encoder.h
	QSV_Encoder_Internal.h)

add_library(obs-qsv11 MODULE
	${obs-qsv11_SOURCES}
	${obs-qsv11_HEADERS}
	${obs-qsv11_libmfx_SOURCES}
	${obs-qsv11_libmfx_HEADERS}
	)
target_link_libraries(obs-qsv11
	libobs
	d3d9
	d3d11
	dxva2
	dxgi
	)

target_compile_definitions(obs-qsv11 PRIVATE DX11_D3D)

source_group("obs-qsv11\\Source Files" FILES ${obs-qsv11_SOURCES})
source_group("obs-qsv11\\Header Files" FILES ${obs-qsv11_HEADERS})
source_group("libmfx\\Source Files" FILES ${obs-qsv11_libmfx_SOURCES})
source_group("libmfx\\Header Files" FILES ${obs-qsv11_libmfx_HEADERS})

install_obs_plugin_with_data(obs-qsv11 data)

=== plugins/win-capture/CMakeLists.txt ===
project(win-capture)

set(win-capture_HEADERS
	nt-stuff.h
	obfuscate.h
	app-helpers.h
	hook-helpers.h
	inject-library.h
	cursor-capture.h
	graphics-hook-info.h
	window-helpers.h
	dc-capture.h)

set(win-capture_SOURCES
	dc-capture.c
	obfuscate.c
	app-helpers.c
	inject-library.c
	cursor-capture.c
	game-capture.c
	window-helpers.c
	monitor-capture.c
	window-capture.c
	load-graphics-offsets.c
	duplicator-monitor-capture.c
	plugin-main.c)

add_library(win-capture MODULE
	${win-capture_SOURCES}
	${win-capture_HEADERS})
target_link_libraries(win-capture
	libobs
	ipc-util
	psapi)

install_obs_plugin_with_data(win-capture data)

add_subdirectory(graphics-hook)
add_subdirectory(get-graphics-offsets)
add_subdirectory(inject-helper)

=== plugins/win-mf/CMakeLists.txt ===
project(win-mf)

set(ENABLE_WINMF FALSE CACHE BOOL "Enables the now deprecated win-mf plugin")

configure_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/mf-config.hpp.in"
	"${CMAKE_CURRENT_BINARY_DIR}/mf-config.hpp")

set(win-mf_config_HEADERS
	"${CMAKE_CURRENT_BINARY_DIR}/mf-config.hpp")

if(ENABLE_WINMF)
	set(win-mf_SOURCES
		mf-plugin.cpp
		mf-aac.cpp
		mf-aac-encoder.cpp
		mf-common.cpp
		mf-encoder-descriptor.cpp
		mf-h264.cpp
		mf-h264-encoder.cpp)

	set(win-mf_HEADERS
		mf-common.hpp
		mf-encoder-descriptor.hpp
		mf-aac-encoder.hpp
		mf-h264-encoder.hpp)

	set(win-mf_DEPS
		d3d9
		dxva2
		uuid
		mfplat
		mfuuid
		mf
		wmcodecdspuuid)
else()
	set(win-mf_SOURCES
		mf-plugin.cpp)
endif()

add_library(win-mf MODULE
	${win-mf_config_HEADERS}
	${win-mf_SOURCES}
	${win-mf_HEADERS})

target_link_libraries(win-mf
	${win-mf_DEPS}
	libobs)

target_include_directories(win-mf
	PUBLIC
	"$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")

if(ENABLE_WINMF)
	install_obs_plugin_with_data(win-mf data)
else()
	install_obs_plugin(win-mf)
endif()

=== plugins/win-capture/get-graphics-offsets/CMakeLists.txt ===
project(get-graphics-offsets)

set(get-graphics-offsets_HEADERS
	../graphics-hook-info.h
	../hook-helpers.h
	get-graphics-offsets.h)

set(get-graphics-offsets_SOURCES
	get-graphics-offsets.c
	dxgi-offsets.cpp
	d3d8-offsets.cpp
	d3d9-offsets.cpp)

if(MSVC)
	add_compile_options("$<$<CONFIG:RelWithDebInfo>:/MT>")
endif()

add_executable(get-graphics-offsets
	${get-graphics-offsets_SOURCES}
	${get-graphics-offsets_HEADERS})

target_link_libraries(get-graphics-offsets
	d3d9.lib
	dxgi.lib
	d3d11.lib)

if(CMAKE_SIZEOF_VOID_P EQUAL 8)
	set(_output_suffix "64")
else()
	set(_output_suffix "32")
endif()

set_target_properties(get-graphics-offsets
	PROPERTIES
		OUTPUT_NAME "get-graphics-offsets${_output_suffix}")

install_obs_datatarget(get-graphics-offsets "obs-plugins/win-capture")

=== plugins/win-capture/graphics-hook/CMakeLists.txt ===
project(graphics-hook)

set(COMPILE_D3D12_HOOK FALSE CACHE BOOL "Compile D3D12 hook support (required windows 10 SDK)")

configure_file(
	"${CMAKE_CURRENT_SOURCE_DIR}/graphics-hook-config.h.in"
	"${CMAKE_BINARY_DIR}/plugins/win-capture/graphics-hook/config/graphics-hook-config.h")


set(graphics-hook_HEADERS
	"${CMAKE_BINARY_DIR}/plugins/win-capture/graphics-hook/config/graphics-hook-config.h"
	graphics-hook.h
	../graphics-hook-info.h
	../hook-helpers.h
	../funchook.h
	../obfuscate.h
	gl-decs.h
	d3d9-patches.hpp)

set(graphics-hook_SOURCES
	graphics-hook.c
	../funchook.c
	../obfuscate.c
	gl-capture.c
	d3d8-capture.cpp
	d3d9-capture.cpp
	dxgi-capture.cpp
	d3d10-capture.cpp
	d3d11-capture.cpp
	d3d12-capture.cpp)

if(MSVC)
	add_compile_options("$<$<CONFIG:RelWithDebInfo>:/MT>")
endif()

add_library(graphics-hook MODULE
	${graphics-hook_SOURCES}
	${graphics-hook_HEADERS})

target_include_directories(graphics-hook PUBLIC
	"${CMAKE_BINARY_DIR}/plugins/win-capture/graphics-hook/config")

target_link_libraries(graphics-hook
	ipc-util psapi)

if(CMAKE_SIZEOF_VOID_P EQUAL 8)
	set(_output_suffix "64")
else()
	set(_output_suffix "32")
endif()

set_target_properties(graphics-hook
	PROPERTIES
		OUTPUT_NAME "graphics-hook${_output_suffix}")

install_obs_datatarget(graphics-hook "obs-plugins/win-capture")

=== plugins/win-capture/inject-helper/CMakeLists.txt ===
project(inject-helper)

set(inject-helper_HEADERS
	../inject-library.h
	../obfuscate.h)

set(inject-helper_SOURCES
	../inject-library.c
	../obfuscate.c
	inject-helper.c)

if(MSVC)
	add_compile_options("$<$<CONFIG:RelWithDebInfo>:/MT>")
endif()

add_executable(inject-helper
	${inject-helper_SOURCES})

target_link_libraries(inject-helper)

if(CMAKE_SIZEOF_VOID_P EQUAL 8)
	set(_output_suffix "64")
else()
	set(_output_suffix "32")
endif()

set_target_properties(inject-helper
	PROPERTIES
		OUTPUT_NAME "inject-helper${_output_suffix}")

install_obs_datatarget(inject-helper "obs-plugins/win-capture")

=== plugins/win-ivcam/seg_service/CMakeLists.txt ===
project(seg_service)

include(IDLFileHelper)

set(seg_service_IDLS
	seg_service.idl
	)

add_idl_files_with_tlb(seg_service_GENERATED_FILES
	${seg_service_IDLS})

include_directories(
	${RSSDK_INCLUDE_DIRS}	
	${CMAKE_CURRENT_BINARY_DIR}
	)

set(seg_service_HEADERS
	resource.h
	SegProc.h
	stdafx.h
	targetver.h
	xdlldata.h
	)

set(seg_service_SOURCES
	SegProc.rgs
	seg_service.rgs
	seg_service.cpp
	SegProc.cpp
	stdafx.cpp
	seg_service.rc
	${seg_service_GENERATED_FILES}
	)

if(MSVC)
	add_compile_options("$<$<CONFIG:RelWithDebInfo>:/MT>")
endif()

add_executable(seg_service WIN32
	${seg_service_SOURCES}
	${seg_service_HEADERS})

target_link_libraries(seg_service
	)

install_obs_datatarget(seg_service "obs-plugins/win-ivcam")

=== debian/changelog ===
obs-studio (22.0.3-0.1~mx17+1) mx; urgency=medium

  * Import new upstream release 22.0.3

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 22 Oct 2018 11:31:04 -0700

obs-studio (21.1.2+dfsg1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper compat 10 to ease backports.
  * Disable hide-internal-symbols.patch to allow builds on other arches than 
    amd64.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 07 Jun 2018 13:43:58 -0700

=== debian/control ===
Source: obs-studio
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Carl Fürstenberg <azatoth@gmail.com>,
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 10),
 libasound2-dev,
 libavcodec-dev,
 libavdevice-dev,
 libavfilter-dev,
 libavformat-dev,
 libavutil-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libdbus-1-dev,
 libfontconfig-dev,
 libfreetype6-dev,
 libgl1-mesa-dev | libgl-dev,
 libjack-jackd2-dev,
 libjansson-dev (>= 2.5),
 libpulse-dev,
 libqt5x11extras5-dev,
 libspeexdsp-dev,
 libswresample-dev,
 libswscale-dev,
 libudev-dev,
 libv4l-dev,
 libx11-dev,
 libx264-dev,
 libxcb-shm0-dev,
 libxcb-xinerama0-dev,
 libxcomposite-dev,
 libxinerama-dev,
 libvlc-dev,
 qtbase5-dev,
 python-docutils (>= 0.6)
Standards-Version: 4.1.4
Homepage: https://obsproject.com
Vcs-Browser: https://salsa.debian.org/multimedia-team/obs-studio
Vcs-Git: https://salsa.debian.org/multimedia-team/obs-studio.git

Package: obs-studio
Architecture: any
Depends: obs-plugins (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: recorder and streamer for live video content
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 Other features include:
  * Encoding using H264 (x264) and AAC
  * Unlimited number of scenes and sources
  * File output to MP4 or FLV
  * GPU-based game capture for high performance game streaming
  * Bilinear or lanczos3 resampling
 .
 Note that OBS Studio requires an OpenGL 3.2 compatible video card.

Package: obs-plugins
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: vlc
Description: recorder and streamer for live video content (plugins)
 OBS is designed for efficiently recording and streaming live video content. It
 supports live RTP streaming to various streaming sites.
 .
 This package contains the plugins.

Package: libobs0
Multi-Arch: same
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: recorder and streamer for live video content (shared library)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the shared library libobs.

Package: libobs-dev
Section: libdevel
Architecture: any
Depends:
 libobs0 (= ${binary:Version}),
 ${misc:Depends}
Description: recorder and streamer for live video content (development files)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the development files.
